Saltar al contenido

Howto Instalacion VMWARE en ubuntu Fiesty 7.04 (32 y 64 bits) Actualizado

abril 25, 2007

Después de instalar como niño con juguete nuevo la nueva vercion de ubuntu Fiesty 7.04 , en mi Intel Core 2 Duo , encontré tal vez el problema mas grave que pude ubicar, y es el uso de Vmware, hoy por hoy una herramienta imprescindible en el tema de redes … pero como siempre … habia una solucion :).

### INSTALACION

$ apt-get install libx11-6 libx11-dev libxtst6 xlibs-dev xinetd wget
$ apt-get install linux-headers-`uname -r` build-essential

(Solo para 64 bits)
$ apt-get install gcc binutils-doc cpp-doc make manpages-dev autoconf automake1.9 libtool flex bison gdb gcc-doc gcc-4.0-doc libc6-dev-amd64 lib64gcc1

(Solo para 32 bits)
apt-get install gcc binutils-doc cpp-doc make manpages-dev autoconf automake1.9 libtool flex bison gdb gcc-doc

(Solo para 64 bits)
$ apt-get install libc6-i386 ia32-libs

$ tar xvfz VMware-server-1.0.1-29996.tar.gz
$ cd vmware-server-distrib
$ ./vmware-install.pl

La instalación va botar un error ,para eso nos bajamos el parche ~

$ wget http://jaws.go2linux.org/archivos/vmware-any-any-update109.tar.gz

$ tar xvfz vmware-any-any-update109.tar.gz
$ cd vmware-any-any-update109
$ ./runme.pl
$ vmware

Y con eso tenemos vmware corriendo !!!!

About these ads
35 comentarios
  1. … pero como siempre … había una solución :). Gracias a gente que comparte sus conocimientos, gente como yo, simples usuarios, encontramos soluciones.
    Me fue perfecto el manual vuelvo a tener funcionando el vmware.

    ¡Gracias!

  2. tengo problemas con la instalacion. me sale lo siguiente.

    root@usuario-laptop:/home/cemg/vmware-any-any-update109# ./runme.pl
    Unable to open the installer database /etc/vmware/locations in read-mode.

    Execution aborted.

    dime que puedo hacer

  3. Juan Carlos Durán Diaz Enlace permanente

    Buenas, he intentado instalar vwmare con las instrucciones que habeis dado y me ha dado este error, la verdad soy novato en linux y no se como solucionarlo, si podeis decirme como arreglarlo, os lo agradeceria mucho,

    gracias JuanK

    Using 2.6.x kernel build system.
    make: se ingresa al directorio `/tmp/vmware-config1/vmmon-only’
    make -C /lib/modules/2.6.20-15-generic/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
    make[1]: se ingresa al directorio `/usr/src/linux-headers-2.6.20-15-generic’
    CC [M] /tmp/vmware-config1/vmmon-only/linux/driver.o
    In file included from /tmp/vmware-config1/vmmon-only/linux/driver.c:80:
    /tmp/vmware-config1/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or ‘…’ before ‘compat_exit’
    /tmp/vmware-config1/vmmon-only/./include/compat_kernel.h:21: error: expected declaration specifiers or ‘…’ before ‘exit_code’
    /tmp/vmware-config1/vmmon-only/./include/compat_kernel.h:21: aviso: el tipo de dato por defecto es ‘int’ en la declaración de ‘_syscall1’
    make[2]: *** [/tmp/vmware-config1/vmmon-only/linux/driver.o] Error 1
    make[1]: *** [_module_/tmp/vmware-config1/vmmon-only] Error 2
    make[1]: se sale del directorio `/usr/src/linux-headers-2.6.20-15-generic’
    make: *** [vmmon.ko] Error 2
    make: se sale del directorio `/tmp/vmware-config1/vmmon-only’
    Unable to build the vmmon module.

    For more information on how to troubleshoot module-related problems, please
    visit our Web site at “http://www.vmware.com/download/modules/modules.html” and
    “http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html”.

    Execution aborted.

  4. Hola , normalmente los errores citados son por falta de dependencias para instalar recomiendo probar con lo siguiente

    #apt-get install libx11-6 libx11-dev libxtst6 xlibs-dev xinetd wget
    #apt-get install linux-headers-`uname -r` build-essential
    #apt-get install gcc binutils-doc cpp-doc make manpages-dev autoconf automake1.9 libtool flex bison gdb gcc-doc gcc-4.0-doc libc6-dev-amd64 lib64gcc1

    Para 64bits
    #apt-get install libc6-i386
    #apt-get install ia32-libs

    Espero que les sirva
    Saludos
    Juan

  5. Me has salvoad la vida

    Gracias tio!

    Salu2!

  6. holas hice todo lo del tutorial, y me sale lo siguiente:

    The path “/var/lib/vmware/Virtual Machines” does not exist currently. This
    program is going to create it, including needed parent directories. Is this
    what you want? [yes]

    /usr/lib/vmware/bin/vmware-vmx: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory
    Please enter your 20-character serial number.

    Type XXXXX-XXXXX-XXXXX-XXXXX or ‘Enter’ to cancel:

    espero que me puedan ayudar salu2

  7. Estimado no encuentra el gcc-4.0-doc ni el tar.gz guiame por favor.

  8. Gracias tio, nos ha salvado la vida a muchos. Un saludo.

  9. hola…instale la version 2.0..del vmware..supuestamente se instalo..pero no lo encuentro en ningun lado..en el terminal lo pongo man vmware..haber si me sale algo..y nada..me podrian decir como puedo hace para poder encontrar el programa y asi despues lo podre usar..desde ya muchas gracias..:)

  10. Hola

    Has probado en el shell lanzarlo directamente

    #vmware

    Saludos
    Juan

  11. Hi, the name is not “Fiesty”, is “Feisty Fawn”

  12. Jose Rodriguez Enlace permanente

    Saludos amigo… Primero te CITO TEXTUALMENTE y luego te digo mi problema…

    … ” (Solo para 32 bits)
    apt-get install gcc binutils-doc cpp-doc make manpages-dev autoconf automake1.9 libtool flex bison gdb gcc-doc

    *********************************

    (Solo para 64 bits)
    $ apt-get install libc6-i386 ia32-libs

    $ tar xvfz VMware-server-1.0.1-29996.tar.gz
    $ cd vmware-server-distrib
    $ ./vmware-install.pl

    La instalación va botar un error ,para eso nos bajamos el parche ~ “……

    La instalacion para los que tenemos 32Bits llega hasta donde pongo los ********** ?? De verdad soy bastante novato.. pero trato de hacer las cosas… pero esta ves no puedo… hago todo… pero llego hasta alli… donde segun entiendo yo termina la instalacion… pero no pasa nada… parece no instalar nada… Gracias.

  13. grandiosa guia…

  14. Hola,

    Otra opción mas la gente que no se quiera complicar mucho la vida:

    echo ‘# Commercial Repository’ >> /etc/apt/sources.list
    echo ‘deb http://archive.canonical.com/ubuntu feisty-commercial main’ >> /etc/apt/soucers.list

    apt-get update && apt-get install vmware-server

    o

    apt-get update && apt-get install vmware-player

    Un saludo

  15. Que tal mis estimados amigos quiero pedirle ayuda en la Instalacion de VMware en Ubuntu haber quien me ayuda mi msn es : r0drigu3z@gmail.com.

  16. Gracias al que me pueda ayudar me da este error el vmware corre pero dice imposble conectar al hots
    esto es al correr el mvware desde la consola
    root@PANCHITO:/home/jonnathan# vmware
    /usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no version information available (required by /usr/lib/libcairo.so.2)
    luego da esto:

    The local VMware Server is not installed, or is not currently running.

    Make sure that the server is properly installed and try again.

    y cuando trato de correr alguna de las soluciones me da este error:

    root@PANCHITO:/home/jonnathan# apt-get install libx11-6 libx11-dev libxtst6 xlibs-dev xinetd wget
    Reading package lists… Done
    Building dependency tree… Done
    libx11-dev is already the newest version.
    xinetd is already the newest version.
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    libx11-dev: Depends: libx11-6 (= 2:1.0.0-0ubuntu9.1) but 2:1.1.1-1ubuntu3 is to be installed
    xlibs-dev: Depends: libxrandr-dev but it is not going to be installed
    Depends: libxtst-dev but it is not going to be installed
    E: Broken packages

    gracias por su respuesta
    Nota antes funcionava bein todo esto paso por actualizar a la ver 7.04

  17. Si alguien me puede ayudar…me da este error al ejecutarlo:
    root@salva-desktop:/home/salva/vmware-any-any-update109# ./runme.pl

    Unable to open the installer database /etc/vmware/locations in read-mode.

    Execution aborted.
    He mirado en mas foros…y nada de nada….
    Busco la ruta etc/vmware y no existe….toda la instalacion y demas me a salido perfecta!!
    AYUDA PLIIIIIS!! GRACIAS!!

  18. The local VMware Server is not installed, or is not currently running.

    Make sure that the server is properly installed and try again.

    alguen me podria ayudar con este error gracias

  19. Juan Oliva Enlace permanente

    hola compadre, nos llamamos =, ojala puedas responder el problema este

    ./runme.pl

    Unable to open the installer database /etc/vmware/locations in read-mode.

    Execution aborted.

    .. la coincidencia, crei q eras mi papa q se llama = y trabaja en esto.

    chaos

  20. The path “/usr/src/linux-headers-2.6.22-14/include” is a kernel header file
    directory, but it does not contain the file “linux/version.h” as expected. This
    can happen if the kernel has never been built, or if you have invoked the “make
    mrproper” command in your kernel directory. In any case, you may want to
    rebuild your kernel.

    Tengo que recompilar el kernel?
    ALGUIEN SABE QUE PUEDO HACER??
    Saludos !!!
    El articulo es bueno pero aun lo logro terminarlo y poner a funcionar el winws en mi maquina

  21. Jose Pertuz Enlace permanente

    Lo que es Libre y gratis que corra en Software Libre y gratis

    Vmware es Pago.

    Mejor es Qemu o VirtualBox. en debian me han ido de maravillas con ellos.

  22. Hola Jose , bueno personalmente no pretendo evangelizar a todo el mundo a usar a todos vmware , como bien tu dices existen otras soluciones que estoy seguro que son muy buenas particularmente yo no las he usado , pero tengo compañeros que me han hablado muy bien de las que mencionas ,solo una acotación específicamente Vmware Server no es pago, primero eso, que no sea software libre es otra cosa , bueno eso si quisieras modificar el programa en si ( dichoso tu si ya haces eso) , o en todo caso tambien podriamos modificar mysql y postgresql.

    Ahora obviamente que entra la vercion de vmware free y la workstation que es una de toda la gama de productos que si cuestan hay diferencias como esta:

    Rendimiento: VMware Workstation es más rápido que VMware Server
    Capacidad: a igual HArdware, VMware server levanta más máquinas que workstation.
    Hardware virtual: VMware Workstation soporta hasta 8 Gb de RAM en una VM, 2 procesadores, USB 2.0, display múltiple, estado de la batería y 10 adaptadores ethernet. VMware Server soporta 3.5Gb de RAM, 2 Procesadores y 3 Adaptadores ethernet.

    Puedes entrar en detalle sobre esto aquí : http://www.vmware.com/products/server_virtualization.html

    Bueno , solo era algo para aclarar el tema.

    Saludos
    Juan

  23. hola buenas tarde instale vmware server pero me pide serial para poder ejecutarla seras que me puedes ayudar a conseguir este serial

  24. el serial del vmware server version VMware-server-1.0.5-80187 a mi correo sashina03@hotmail.com

  25. christian Enlace permanente

    Hola Juan, he seguido los pasos para la instalacion de vmware 1.0.5.. sobre ubuntu 8.04 incluyendo algunas otras paginas, finalmente despues de muchas pruebas al parecer se instala , pero el problema es que cuando ejecuto “vmware” me sale un mensaje como que hay librerias no encontradas. y no tengo idea cuales son (atp-get instal xxxxxx), si pudieras ayudarme con eso te lo agradeceria, o dime donde puedo buscar o como puedo buscar esas librerias.

    The configuration of VMware Server 1.0.5 build-80187 for Linux for this running
    kernel completed successfully.

    root@ubuntop:/usr/bin# vmware
    /usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_3.4′ not found (required by /usr/lib32/libcairo.so.2)
    /usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0′ not found (required by /usr/lib32/libstdc++.so.6)
    /usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_3.4′ not found (required by /usr/lib32/libcairo.so.2)
    /usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0′ not found (required by /usr/lib32/libstdc++.so.6)
    /usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_3.4′ not found (required by /usr/lib32/libcairo.so.2)
    /usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1: version `GCC_4.2.0′ not found (required by /usr/lib32/libstdc++.so.6)

  26. Para que fucione en Ubuntu 8.04 solo debe cambiar algunas lineas:

    La instalación va botar un error ,para eso nos bajamos el parche ~

    1. cd /tmp
    2. wget http://uruz.org/files/vmware-any-any-update-116.tgz
    3. tar -xvzf vmware-any-any-update116.tgz
    4. cd vmware-any-any-update116
    5. sudo ./runme.pl

  27. Hola a todos quiero instalar vmware en ubuntu 8.04 se me quedo colgada la instalacion y no me deja ni quitarla ni hacer nada de nada.

    Cuando intento instalar me dice esto:
    sudo ./bin/vmware-uninstall.pl
    A previous installation of VMware software has been detected.

    The previous installation was made by the tar installer (version 3).

    Keeping the tar3 installer database format.

    Error: Unable to find the binary installation directory (answer BINDIR)
    in the installer database file “/etc/vmware/locations”.

    Failure

    Execution aborted.

    Alguien que lo haya podido instalar me puede asesorar un poco

    Gracias

  28. Tengo Ubuntu 8.04 y ni siguiendo las intruciones originales ni las de NosboD logro que me corra el vmware-any-any-update ni la 109 ni la 116:

    facundo@Movil:~/Escritorio/vmware-server-distrib/vmware-any-any-update109/vmware-any-any-update116$ sudo ./runme.pl
    sudo: unable to execute ./runme.pl: Permiso denegado

    facundo@Movil:~/Escritorio/vmware-server-distrib/vmware-any-any-update109/vmware-any-any-update116$ ./runme.pl
    bash: ./runme.pl: /usr/bin/perl: intérprete incorrecto: Permiso denegado

    Les pido que alguien me de una mano con esto
    MIL GRACIAS!!!

  29. hola soy novata en linux solo hace 1 semana k lo tng y necesito instalar el vmware para el colegio pero m sale el siguiente error
    angie@angelines:~$ #apt-get install libc6-i386
    angie@angelines:~$ #apt-get install ia32-libs
    angie@angelines:~$ vmware
    bash: vmware: orden no encontrada
    angie@angelines:~$ echo ‘# Commercial Repository’ >> /etc/apt/sources.list
    bash: /etc/apt/sources.list: Permiso denegado
    angie@angelines:~$ echo ‘deb http://archive.canonical.com/ubuntu feisty-commercial main’ >> /etc/apt/soucers.list
    bash: /etc/apt/soucers.list: Permiso denegado
    angie@angelines:~$
    angie@angelines:~$ apt-get update && apt-get install vmware-server
    E: No se pudo abrir el fichero de bloqueo ‘/var/lib/apt/lists/lock’ – open (13 Permiso denegado)
    E: No se pudo bloquear el directorio de listas
    angie@angelines:~$
    angie@angelines:~$ o
    bash: o: orden no encontrada
    angie@angelines:~$
    angie@angelines:~$ apt-get update && apt-get install vmware-player
    E: No se pudo abrir el fichero de bloqueo ‘/var/lib/apt/lists/lock’ – open (13 Permiso denegado)
    E: No se pudo bloquear el directorio de listas
    angie@angelines:~$

  30. si m podeis decir como instalarlo me hariais un favor xq voy un pokito justa de tiempo jejeje graciasss

  31. EL TIO MAS FELIZ HOY Enlace permanente

    GRACIAS HE PROBADO 3MIL TUTORIALES, Y ESTE ES EL UNICO QUE NO ME DA PROBLEMAS. Os comento, SO: ubuntu 8.10 y problemas con el parche 115… comida de cabeza servida!! Recomiendo usar todo lo que está en esta web. No falla!! Miles de gracias!!!

  32. {
    {I have|I’ve} been {surfing|browsing} online more than {three|3|2|4} hours today, yet I never found any interesting article like yours. {It’s|It is} pretty worth
    enough for me. {In my opinion|Personally|In my view}, if all {webmasters|site owners|websi

Referencias & Pingbacks

  1. VMWare (Máquinas virtuales).
  2. VMWare (Máquinas virtuais).
  3. Cómo - Instalar VMware Workstation 6.03 en Ubuntu 8.04 « Arukard’s Weblog

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

Únete a otros 91 seguidores

%d personas les gusta esto: